:: pcclient-net-silence.cmd
:: Turn off the PCClient feature which displays an error when the network can't be reached.
:: This is to fix a problem where on some PCs PCClient tries to check for network connectivity
:: before the PC has time to make a network connetion.
:: Revision: Jan 23 2019

@ECHO OFF
SETLOCAL ENABLEEXTENSIONS


cd %programfiles(x86)%
cd "papercut mf client"

IF EXIST "config.properties" (
:: If the config file is found, we will append the silencer line to it.
echo silent=Y >> config.properties
echo Success.

) ELSE (
echo Configuration file not found.
)




:: Pause if this isn't an interactive session.  
IF "%interactive%"=="0" PAUSE
ENDLOCAL
@ECHO ON
@EXIT /B 
